com.amazon.redshift.core.v3

## Interface TypeTransferModeRegistry

All Known Subinterfaces:
  QueryExecutor

All Known Implementing Classes:
  QueryExecutorBase, QueryExecutorImpl

    public interface TypeTransferModeRegistry

### Method Summary

Methods
`boolean` `useBinaryForReceive(int oid)` Returns if given oid should be received in binary format.
`boolean` `useBinaryForSend(int oid)` Returns if given oid should be sent in binary format.

### Method Detail

#### useBinaryForSend

    boolean useBinaryForSend(int oid)

Returns if given oid should be sent in binary format.

Parameters:
  `oid` - type oid
Returns:
  true if given oid should be sent in binary format

#### useBinaryForReceive

    boolean useBinaryForReceive(int oid)

Returns if given oid should be received in binary format.

Parameters:
  `oid` - type oid
Returns:
  true if given oid should be received in binary format